curl --request POST \
--url https://api.hubapi.com/deal-splits/2026-03/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": 123,
"splits": [
{
"ownerId": 123,
"percentage": 123
}
]
}
]
}
'import requests
url = "https://api.hubapi.com/deal-splits/2026-03/batch/upsert"
payload = { "inputs": [
{
"id": 123,
"splits": [
{
"ownerId": 123,
"percentage": 123
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{id: 123, splits: [{ownerId: 123, percentage: 123}]}]})
};
fetch('https://api.hubapi.com/deal-splits/2026-03/batch/upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"id": "<string>",
"splits": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"id": "<string>",
"splits": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Upsert deal splits
Créer ou remplacer les répartitions de transactions pour les transactions avec les ID fournis. Les pourcentages de répartition de transactions pour chaque transaction doivent s’additionner à 1,0 (100 %) et peuvent avoir jusqu’à 8 décimales.
Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Corps
Un tableau d'entrées de répartition de transactions
Show child attributes
Show child attributes
Réponse
successful operation
L'horodatage indiquant la date et l'heure auxquelles l'opération par lots a été effectuée, au format date-heure.
Un tableau d'objets de répartition de transaction par transaction représentant les résultats de l'opération par lots.
Show child attributes
Show child attributes
L'horodatage indiquant la date et l'heure auxquelles l'opération par lots a commencé, au format date-heure.
Statut actuel de l'opération par lots, avec les valeurs possibles suivantes : ANNULÉ, TERMINÉ, EN ATTENTE, EN COURS DE TRAITEMENT.
CANCELED, COMPLETE, PENDING, PROCESSING Une carte des noms de liens vers les URI associés pour des ressources ou de la documentation supplémentaires.
Show child attributes
Show child attributes
L'horodatage indiquant la date et l'heure auxquelles l'opération par lots a été demandée, au format date-heure.